verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.7*,4.8*,4.9*,5.0*,5.1*

# Update WinSAR configuration.
system ConfPatch.exe "%installdir%\Configuration\Components\winsar.xml" "Configuration\winsar.xml" winsar.log.debug-level winsar.working-dir winsar.primetime-file winsar.interval winsar.level winsar.data-collection winsar.counters winsar.collect.WinSAR.active winsar.collect.WinSAR.scheme winsar.collect.WinSAR.scheme.file winsar.collect.Idle.active winsar.collect.Idle.scheme

# Stop service.
# (The service may not be running, so we don't quit if we fail to stop it.)
die off
system net stop openit

# Copy configuration.
system copy "Configuration\winsar.xml" "%installdir%\Configuration\Components\"

# Copy binaries.
system copy "bin\WinSAR.exe" "%installdir%\bin\"

# Start service again.
system net start openit
